## ev-file-helpers ev-file-helpers — |

## Synopsis

    enum        EvCompressionType;
    const gchar* ev_dot_dir                     (void);
    const gchar* ev_tmp_dir                     (void);
    void        ev_file_helpers_init            (void);
    void        ev_file_helpers_shutdown        (void);
    gchar*      ev_tmp_filename                 (const char *prefix);
    void        ev_tmp_filename_unlink          (const gchar *filename);
    void        ev_tmp_uri_unlink               (const gchar *uri);
    gboolean    ev_xfer_uri_simple              (const char *from,
                                                 const char *to,
                                                 GError **error);
    gchar*      ev_file_uncompress              (const gchar *uri,
                                                 EvCompressionType type,
                                                 GError **error);
    gchar*      ev_file_compress                (const gchar *uri,
                                                 EvCompressionType type,
                                                 GError **error);

## Description

## Details

### enum EvCompressionType

    typedef enum {
    	EV_COMPRESSION_NONE,
    	EV_COMPRESSION_BZIP2,
    	EV_COMPRESSION_GZIP
    } EvCompressionType;

### ev_dot_dir ()

    const gchar* ev_dot_dir                     (void);

Returns : |

### ev_tmp_dir ()

    const gchar* ev_tmp_dir                     (void);

Returns : |

### ev_file_helpers_init ()

    void        ev_file_helpers_init            (void);

### ev_file_helpers_shutdown ()

    void        ev_file_helpers_shutdown        (void);

### ev_tmp_filename ()

    gchar*      ev_tmp_filename                 (const char *prefix);

`prefix` : |
Returns : |

### ev_tmp_filename_unlink ()

    void        ev_tmp_filename_unlink          (const gchar *filename);

`filename` : |

### ev_tmp_uri_unlink ()

    void        ev_tmp_uri_unlink               (const gchar *uri);

`uri` : |

### ev_xfer_uri_simple ()

    gboolean    ev_xfer_uri_simple              (const char *from,
                                                 const char *to,
                                                 GError **error);

`from` : |
`to` : |
`error` : |
Returns : |

### ev_file_uncompress ()

    gchar*      ev_file_uncompress              (const gchar *uri,
                                                 EvCompressionType type,
                                                 GError **error);

`uri` : |
`type` : |
`error` : |
Returns : |

### ev_file_compress ()

    gchar*      ev_file_compress                (const gchar *uri,
                                                 EvCompressionType type,
                                                 GError **error);

`uri` : |
`type` : |
`error` : |
Returns : |